Glib::RWLock::WriterLock Class Reference

Utility class for exception-safe locking of read/write locks. More...

`#include <glibmm/thread.h>`

## Public Member Functions

| WriterLock (RWLock& rwlock)
| WriterLock (RWLock& rwlock, NotLock)
| WriterLock (RWLock& rwlock, TryLock)
| WriterLock (const RWLock::WriterLock&)=delete
RWLock::WriterLock& | operator= (const RWLock::WriterLock&)=delete
| ~WriterLock ()
void | acquire ()
bool | try_acquire ()
void | release ()
bool | locked () const

## Detailed Description

Utility class for exception-safe locking of read/write locks.

Deprecated:
  Use Glib::Threads::RWLock::WriterLock instead.

## Constructor & Destructor Documentation

Glib::RWLock::WriterLock::WriterLock | ( | RWLock& | rwlock | ) |

inline explicit

Glib::RWLock::WriterLock::WriterLock | ( | RWLock& | rwlock,
|  | NotLock |
| ) |  |

inline

Glib::RWLock::WriterLock::WriterLock | ( | RWLock& | rwlock,
|  | TryLock |
| ) |  |

inline

Glib::RWLock::WriterLock::WriterLock | ( | const RWLock::WriterLock& |  | ) |

delete

Glib::RWLock::WriterLock::~WriterLock | ( |  | ) |

inline

## Member Function Documentation

void Glib::RWLock::WriterLock::acquire | ( |  | ) |

inline

bool Glib::RWLock::WriterLock::locked | ( |  | ) | const

inline

RWLock::WriterLock& Glib::RWLock::WriterLock::operator= | ( | const RWLock::WriterLock& |  | ) |

delete

void Glib::RWLock::WriterLock::release | ( |  | ) |

inline

bool Glib::RWLock::WriterLock::try_acquire | ( |  | ) |

inline